      double precision function ran_number(x1,x2)
C Funkcja zwraca liczbe losowa z rozkladu jednostajnego w przedziale [x1,x2]
      double precision x1,x2,fctor
      integer ix
      data fctor /2147483647.0D0/
      call vrnd(ix,1)
      ran_number=x1+(x2-x1)*ix/fctor
      return
      end
